## libconvert-binary-c-perl 0.86

=== ucpp/Makefile ===
# Makefile for ucpp
#
# (c) Thomas Pornin 1999 - 2002
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 4. The name of the authors may not be used to endorse or promote
#    products derived from this software without specific prior written
#    permission.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR 
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

.POSIX:

# ----- user configurable part -----

# Edit the variables to suit your system.
#
#   use -DAUDIT to enable some internal sanity checks
#   use -DMEM_CHECK to check the return value of malloc()
#      (superseded by AUDIT)
#   use -DMEM_DEBUG to enable memory leak research (warning: this
#      slows down ucpp a bit, and greatly increases memory consumption)
#   use -DINLINE=foobar to enable use of the 'foobar'
#      non standard qualifier, as an equivalent to the C99 'inline'
#      qualifier. See tune.h for details.
#
# Two FLAGS lines are given for each system type; chose the first one for
# debug, the second one for a fast binary.

# for a generic compiler called cc
#CC = cc
#FLAGS = -DAUDIT
#FLAGS = -O -DMEM_CHECK

# for Minix-86
#CC = cc
#LDFLAGS = -i
#FLAGS = -m -DAUDIT
#FLAGS = -O -m -DMEM_CHECK

# for gcc
CC = gcc
FLAGS = -g -W -Wall -ansi -DAUDIT -DMEM_DEBUG -DUCPP_REENTRANT
#FLAGS = -O3 -mcpu=pentiumpro -fomit-frame-pointer -W -Wall -ansi -DMEM_CHECK
#FLAGS = -O -pg -W -Wall -ansi -DMEM_CHECK
#LDFLAGS = -pg

# for the Compaq C compiler on Alpha/Linux
#CC = ccc
#FLAGS = -w0 -g -DAUDIT
#FLAGS = -w0 -fast -DMEM_CHECK

# for the Sun Workshop C Compiler
#CC = cc
#FLAGS = -g -Xa -DAUDIT
#FLAGS = -Xa -fast -DMEM_CHECK

# flags for the link step
LIBS =
#LIBS = libefence.a
#LIBS = -lgc_dbg

# ----- nothing should be changed below this line -----

COBJ = mem.o nhash.o cpp.o lexer.o assert.o macro.o eval.o
CFLAGS = $(FLAGS) -DSTAND_ALONE

all: ucpp

clean:
	rm -f *.o ucpp core

ucpp: $(COBJ)
	$(CC) $(LDFLAGS) -o ucpp $(COBJ) $(LIBS)

assert.o: tune.h ucppi.h cpp.h nhash.h mem.h
cpp.o: tune.h ucppi.h cpp.h nhash.h mem.h
eval.o: tune.h ucppi.h cpp.h nhash.h mem.h arith.c arith.h
lexer.o: tune.h ucppi.h cpp.h nhash.h mem.h
macro.o: tune.h ucppi.h cpp.h nhash.h mem.h
mem.o: mem.h
nhash.o: nhash.h mem.h

## libconvert-binary-c-perl 0.76

=== debian/changelog ===
libconvert-binary-c-perl (0.76-3build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 09:50:29 +0100

libconvert-binary-c-perl (0.76-3) unstable; urgency=low

  * Apply patch from Niko Tyni fixing FTBFS on perl 5.18 due to POD
    errors (Closes: #719576)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 13 Aug 2013 19:55:08 +0200

libconvert-binary-c-perl (0.76-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * debian/rules: set environment variable to unhide compiler flags.
  * Use debhelper 9.20120312 to get all hardening flags.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Enable more tests.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Jun 2013 23:28:51 +0200

libconvert-binary-c-perl (0.76-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ryan Niebur ]
  * Email change: Ryan Niebur -> ryan@debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Use tiny debian/rules.
  * Bump debhelper compatibility level to 8.
  * Set Standards-Version to 3.9.2 (no further changes).
  * Add /me to Uploaders.
  * debian/copyright: update years of upstream copyright and formatting.
  * Add a patch to fix spelling/grammar mistakes.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Apr 2011 18:10:06 +0200

libconvert-binary-c-perl (0.74-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 18 Apr 2009 10:03:17 -0700

libconvert-binary-c-perl (0.73-1) unstable; urgency=low

  [ Ryan Niebur ]
  * New upstream release
  * Don't install the README from the examples directory
  * standards version 3.8.1
  * add myself to uploaders
  * update debian/copyright

  [ gregor herrmann ]
  * New upstream release.

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 15 Mar 2009 19:02:09 -0700

libconvert-binary-c-perl (0.71-1) unstable; urgency=low

  * Initial Release (Closes: #468951).

 -- Charles Plessy <plessy@debian.org>  Mon, 26 Jan 2009 19:39:18 +0900

=== debian/control ===
Source: libconvert-binary-c-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312),
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Ryan Niebur <ryan@debian.org>,
           gregor herrmann <gregoa@debian.org>,
	   Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libconvert-binary-c-perl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libconvert-binary-c-perl.git
Homepage: https://metacpan.org/release/Convert-Binary-C/

Package: libconvert-binary-c-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Binary Data Conversion using C Types
 Convert::Binary::C is a preprocessor and parser for C type definitions. It is
 highly configurable and supports arbitrarily complex data structures. Its
 object-oriented interface has pack and unpack methods that act as replacements
 for Perl's pack and unpack and allow to use C types instead of a string
 representation of the data structure for conversion of binary data from and to
 Perl's complex data structures.
 .
 Actually, what Convert::Binary::C does is not very different from what a C
 compiler does, just that it doesn't compile the source code into an object
 file or executable, but only parses the code and allows Perl to use the
 enumerations, structs, unions and typedefs that have been defined within your
 C source for binary data conversion, similar to Perl's pack and unpack.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# don't hide compiler flags
	CBC_MAKEFILE_DEBUG=1 dh_auto_configure

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
# URL to the package page followed by a regex to search
https://metacpan.org/release/Convert-Binary-C/   .*/Convert-Binary-C-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libconvert-binary-c-perl 0.78

=== debian/changelog ===
libconvert-binary-c-perl (0.78-1build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:05:06 +0000

libconvert-binary-c-perl (0.78-1build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:14:58 +0100

libconvert-binary-c-perl (0.78-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 0.78.
  * Update debian/upstream/metadata.
  * Drop wording.patch, applied upstream.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.7.
  * Update debian/tests/pkg-perl/smoke-* to enable working smoke tests.

 -- gregor herrmann <gregoa@debian.org>  Mon, 15 Feb 2016 00:36:36 +0100

libconvert-binary-c-perl (0.77-1) unstable; urgency=medium

  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * New upstream release.
  * Add debian/upstream/metadata.
  * Update years of upstream and packaging copyright.
  * Drop patches. All merged or fixed otherwise upstream.
  * debian/copyright: make license names unique.
  * Add patch to fix wording in POD.
  * Fix wording in long description.

 -- gregor herrmann <gregoa@debian.org>  Mon, 30 Nov 2015 20:24:08 +0100

libconvert-binary-c-perl (0.76-4) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Damyan Ivanov ]
  * Patch deprecated usage of unescaped left in regex (Closes: #787539)
  * Mark package as autopkgtest-able
  * Declare compliance with Debian Policy 3.9.6
  * update years of upstream copyright
  * Drop stanza for include/perlinc/* from d/copyright

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Jun 2015 10:28:58 +0000

=== debian/control ===
Source: libconvert-binary-c-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Ryan Niebur <ryan@debian.org>,
           gregor herrmann <gregoa@debian.org>,
           Dominic Hargreaves <dom@earth.li>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312),
               libtest-pod-coverage-perl,
               libtest-pod-perl,
               perl
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconvert-binary-c-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libconvert-binary-c-perl.git
Homepage: https://metacpan.org/release/Convert-Binary-C

Package: libconvert-binary-c-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Binary Data Conversion using C Types
 Convert::Binary::C is a preprocessor and parser for C type definitions. It is
 highly configurable and supports arbitrarily complex data structures. Its
 object-oriented interface has pack and unpack methods that act as replacements
 for Perl's pack and unpack and allow one to use C types instead of a string
 representation of the data structure for conversion of binary data from and to
 Perl's complex data structures.
 .
 Actually, what Convert::Binary::C does is not very different from what a C
 compiler does, just that it doesn't compile the source code into an object
 file or executable, but only parses the code and allows Perl to use the
 enumerations, structs, unions and typedefs that have been defined within your
 C source for binary data conversion, similar to Perl's pack and unpack.

## libconvert-binary-c-perl 0.79

=== debian/changelog ===
libconvert-binary-c-perl (0.79-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.
  * Import upstream version 0.79.
  * Update years of upstream and packaging copyright.
  * Update debian/upstream/metadata.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * Set hardening linker flags in debian/rules.
  * Disable parallel building in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 May 2020 00:35:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: libconvert-binary-c-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Ryan Niebur <ryan@debian.org>,
            gregor herrmann <gregoa@debian.org>,
            Dominic Hargreaves <dom@earth.li>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 9.20120312),
-               libtest-pod-coverage-perl,
-               libtest-pod-perl,
-               perl
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libconvert-binary-c-perl.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libconvert-binary-c-perl.git
+Build-Depends: debhelper-compat (= 13),
+               libtest-pod-coverage-perl <!nocheck>,
+               libtest-pod-perl <!nocheck>,
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl.git
 Homepage: https://metacpan.org/release/Convert-Binary-C
+Rules-Requires-Root: no
 
 Package: libconvert-binary-c-perl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	# don't hide compiler flags
	CBC_MAKEFILE_DEBUG=1 dh_auto_configure

## libconvert-binary-c-perl 0.84

=== debian/changelog ===
libconvert-binary-c-perl (0.84-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:56:40 +0000

libconvert-binary-c-perl (0.84-1build4) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:01:46 +0100

libconvert-binary-c-perl (0.84-1build3) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:06:18 +0100

libconvert-binary-c-perl (0.84-1build2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:27:52 +0100

libconvert-binary-c-perl (0.84-1build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:42:10 +0100

libconvert-binary-c-perl (0.84-1) unstable; urgency=medium

  * Import upstream version 0.84.
  * Add libtie-hash-indexed-perl and libtie-ixhash-perl to
    Recommends and Build-Depends.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Nov 2020 17:53:00 +0100

libconvert-binary-c-perl (0.83-1) unstable; urgency=medium

  * Import upstream version 0.83.
  * Update debian/upstream/metadata.
  * debian/rules: remove "--no-parallel".
    According to the upstream changelog, parallel builds are fixed.
  * Update debian/copyright.
    Update upstream copyright years, and update copyright and license terms
    for existing, removed, and new third-party files.
  * Update debian/libconvert-binary-c-perl.docs: file name change.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Nov 2020 18:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libconvert-binary-c-perl
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            gregor herrmann <gregoa@debian.org>,
            Dominic Hargreaves <dom@earth.li>
@@ -9,9 +10,11 @@
 Build-Depends: debhelper-compat (= 13),
                libtest-pod-coverage-perl <!nocheck>,
                libtest-pod-perl <!nocheck>,
+               libtie-hash-indexed-perl <!nocheck>,
+               libtie-ixhash-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl.git
 Homepage: https://metacpan.org/release/Convert-Binary-C
@@ -22,6 +25,7 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
+Recommends: libtie-hash-indexed-perl | libtie-ixhash-perl
 Description: Binary Data Conversion using C Types
  Convert::Binary::C is a preprocessor and parser for C type definitions. It is
  highly configurable and supports arbitrarily complex data structures. Its

## libconvert-binary-c-perl 0.85

=== debian/changelog ===
libconvert-binary-c-perl (0.85-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 0.85.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Oct 2024 19:42:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libconvert-binary-c-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            gregor herrmann <gregoa@debian.org>,
            Dominic Hargreaves <dom@earth.li>
@@ -14,7 +13,7 @@
                libtie-ixhash-perl <!nocheck>,
                perl-xs-dev,
                perl:native
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl.git
 Homepage: https://metacpan.org/release/Convert-Binary-C

## libconvert-binary-c-perl 0.86

=== debian/changelog ===
libconvert-binary-c-perl (0.86-1) unstable; urgency=medium

  * Import upstream version 0.86.
    Closes: #1097174
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Sep 2025 15:24:24 +0200

=== debian/control ===
Source: libconvert-binary-c-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Charles Plessy <plessy@debian.org>,
 gregor herrmann <gregoa@debian.org>,
 Dominic Hargreaves <dom@earth.li>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Build-Depends:
 debhelper-compat (= 13),
 libtest-pod-coverage-perl <!nocheck>,
 libtest-pod-perl <!nocheck>,
 libtie-hash-indexed-perl <!nocheck>,
 libtie-ixhash-perl <!nocheck>,
 perl-xs-dev,
 perl:native,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libconvert-binary-c-perl.git
Homepage: https://metacpan.org/release/Convert-Binary-C

Package: libconvert-binary-c-perl
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 libtie-hash-indexed-perl | libtie-ixhash-perl,
Description: Binary Data Conversion using C Types
 Convert::Binary::C is a preprocessor and parser for C type definitions. It is
 highly configurable and supports arbitrarily complex data structures. Its
 object-oriented interface has pack and unpack methods that act as replacements
 for Perl's pack and unpack and allow one to use C types instead of a string
 representation of the data structure for conversion of binary data from and to
 Perl's complex data structures.
 .
 Actually, what Convert::Binary::C does is not very different from what a C
 compiler does, just that it doesn't compile the source code into an object
 file or executable, but only parses the code and allows Perl to use the
 enumerations, structs, unions and typedefs that have been defined within your
 C source for binary data conversion, similar to Perl's pack and unpack.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 override_dh_auto_configure:
 	# don't hide compiler flags

=== debian/watch ===
version=4
https://metacpan.org/release/Convert-Binary-C   .*/Convert-Binary-C-v?@ANY_VERSION@@ARCHIVE_EXT@$
